<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d2/d55/classThread_1_1Ip6_1_1Netif.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::Ip6::Netif Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#ab186c9e859dd260cd8432fbebf7e2d67">AddExternalUnicastAddress</a>(const NetifUnicastAddress &amp;aAddress)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#ad891ec81750a2f7c4c722d07d7dc2632">AddUnicastAddress</a>(NetifUnicastAddress &amp;aAddress)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a6c8c4f1757a98e7a45197c97da1ec8b8">GetInterfaceId</a>(void) const </td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a9972d917c57200b504d9f2df7eb44974">GetIp6</a>(void)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#abdbe8ca62ef364c962b007c9a1f76a5e">GetLinkAddress</a>(LinkAddress &amp;aAddress) const  =0</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a7f90a76c465da6ad23e53e8b2bf3aea3">GetName</a>(void) const  =0</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#adc2577aa7e4aa3481587e8f075967246">GetNext</a>(void) const </td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a5cc22cea2bfe4013bc67e03f379eb450">GetUnicastAddresses</a>(void) const </td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Ip6</b> (defined in <a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a>)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#affa17002c66b0d80677e02c52b1802a8">IsMulticastSubscribed</a>(const Address &amp;aAddress) const </td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#adf6eb171189f05e7b53a1d49b18f5247">IsStateChangedCallbackPending</a>(void)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a585a20e652acf2053b83aa05de8bfa60">IsUnicastAddress</a>(const Address &amp;aAddress) const </td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mIp6</b> (defined in <a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a>)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#ab8f9918cf46154078aef7cbe418fec86">Netif</a>(Ip6 &amp;aIp6)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#aca4693ab30ec940aef090d8228ea4429">RegisterCallback</a>(NetifCallback &amp;aCallback)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a80610ecf1c8320603df9630427a29873">RemoveCallback</a>(NetifCallback &amp;aCallback)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a9ba666b91ccb367ede10cc95d696237e">RemoveExternalUnicastAddress</a>(const Address &amp;aAddress)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#ad00e58b94ab00cc71a5f3a242b7ef42c">RemoveUnicastAddress</a>(const NetifUnicastAddress &amp;aAddress)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a0d4636e6aaf51eb31e4255b4610c36cd">RouteLookup</a>(const Address &amp;aSource, const Address &amp;aDestination, uint8_t *aPrefixMatch)=0</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a04fcb7cd1cc4b9ace37bdf07c233ed9c">SendMessage</a>(Message &amp;aMessage)=0</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a092484addf28568306ab45941abffff4">SetStateChangedFlags</a>(uint32_t aFlags)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a11dd43f622fa76425c1f3417a13b5e2d">SubscribeAllRoutersMulticast</a>(void)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a003983e22fecc0286e000269285c2e0c">SubscribeMulticast</a>(NetifMulticastAddress &amp;aAddress)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a1c723e724a09fee4bda9c4ed28c7cd36">UnsubscribeAllRoutersMulticast</a>(void)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a0226c3af48eaa3fcc8014bcbee37aeb6">UnsubscribeMulticast</a>(const NetifMulticastAddress &amp;aAddress)</td><td class="entry"><a class="el" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html">Thread::Ip6::Netif</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
